clkws : dialog {
label = "Cloud direction";
	:boxed_radio_column {
		:radio_button {
			label = "Clock&wise";
			key = "cw";
		}
		:radio_button {
			label = "&Counter Clockwise";
			key = "ccw";
		}
	}
	ok_only;
}
ftg : dialog {
label = "Footing in section";
	:column {
		:boxed_row {
			label = "Dimensions";
			:edit_box {
				label = "Width";
				edit_width = 3;
				edit_limit = 3;
				value = "24";
				key = "fw";
			}
			:edit_box {
				label = "Depth";
				edit_width = 3;
				edit_limit = 3;
				value = "12";
				key = "fd";
			}
		}
		:boxed_row {
			label = "Characteristics";
			:edit_box{
				label = "Wall Thickness";
				edit_width = 3;
				edit_limit = 3;
				value = "8";
				key = "wt";
			}
			:edit_box {
				label = "# of Bottom bars";
				edit_width = 3;
				edit_limit = 3;
				value = "3";
				key = "bb";
			}
		}
	}
	ok_cancel;
}
gbm : dialog {
label = "Grade beam in section";
	:column {
		:boxed_radio_row {
			label = "Stirrup type";
			:radio_button {
				label = "&Normal";
				key = "n";
				value = "1";
			}
			:radio_button {
				label = "&Seismic";
				key = "s";
			}
		}		
		:boxed_row {
			label = "Dimensions";
			:edit_box {
				label = "Width";
				edit_width = 3;
				edit_limit = 3;
				value = "24";
				key = "gbw";
			}
			:edit_box {
				label = "Depth";
				edit_width = 3;
				edit_limit = 3;
				value = "12";
				key = "gbd";
			}
		}
		:boxed_row {
			label = "Characteristics";
			:edit_box {
				label = "# of Top bars";
				edit_width = 3;
				edit_limit = 3;
				value = "3";
				key = "tb";
			}
			:edit_box {
				label = "# of Bottom bars";
				edit_width = 3;
				edit_limit = 3;
				value = "3";
				key = "bb";
			}
		}
	}
	ok_cancel;
}
moment : dialog {
label = "Span properties";
	:column {
		:boxed_radio_column {
			label = "Span member";
			:radio_button {
				label = "&Beam";
				key = "b";
			}
			:radio_button {
				label = "&joist";
				key = "j";
			}
		}
		:edit_box {
			label = "Member text";
			edit_width = 16;
			edit_limit = 25;
			key = "t";
		}	
		:boxed_column {
			label = "Moment connections";
			:toggle {
				label = "&First point";
				key = "f";
			}
			:toggle {
				label = "&Second point";
				key = "s";
			}
		}
		ok_cancel;
	}
}
thkslab : dialog {
label = "Thickened slab";
	:boxed_column {
		:boxed_radio_column {
			label = "Type";
			:radio_button {
				label = "&Centered";
				key = "c";
				value = "1";
			}
			:radio_button {
				label = "&Right";
				key = "r";
				
			}
			:radio_button {
				label = "&Left";
				key = "l";
			}
		}
		:boxed_row {
			label = "Thickened slab attributes";
			:edit_box {
				label = "Width";
				edit_width = 3;
				edit_limit = 3;
				value = "24";
				key = "w2";
			}
			:edit_box {
				label = "Depth";
				edit_width = 3;
				edit_limit = 3;
				value = "24";
				key = "d2";
			}
		}
		:boxed_row {
			label = "Slab attributes";
			:edit_box {
				label = "Width";
				edit_width = 3;
				edit_limit = 3;
				value = "36";
				key = "w1";
			}
			:edit_box {
				label = "Depth";
				edit_width = 3;
				edit_limit = 3;
				value = "12";
				key = "d1";
			}
			
		}
	}
	ok_cancel;
}	
rebar : dialog {
label = "Rebar in section";
	:boxed_column {
		:toggle {
			label = "Insert multiple bars";
			key = "m";
		}
		:edit_box {
			label = "Rebar diameter";
			edit_width = 3;
			edit_limit = 4;
			key = "r";
		}
		:edit_box {
			label = "Distance between bars";
			edit_width = 3;
			edit_limit = 4;
			key = "ms";
		}
	}
	ok_cancel;
}
sectblk : dialog {
label = "Mark type";
	:boxed_radio_column {
		:radio_button {
			label = "&Section";
			key = "s";
			value = "1";
		}
		:radio_button {
			label = "&Detail";
		}
	}
	ok_only;
}
cmu : dialog {
label = "Cmu selection";
	:boxed_column {
		:row {
			:boxed_radio_column {
				label = "Block type";
				:radio_button {
				label = "&Whole";
					key = "w";
					value = "1";
				}
				:radio_button {
					label = "&Bond";
					key = "b";
				}
				:radio_button {
					label = "&Lintel";
					key = "l";
				}
				:radio_button {
					label = "&Top cut";
					key = "t";
				}
				:radio_button {
					label = "Botto&m cut";
					key = "m";
				}
				:radio_button {
					label = "&Solid";
					key = "s";
				}
				:radio_button {
					label = "I&vany";
					key = "v";
				}
			}
			:boxed_radio_column {
				label = "Size";
				:radio_button {
					label = "4";
					key = "4";
				}
				:radio_button {
					label = "6";
					key = "6";
				}
				:radio_button {
					label = "8";
					key = "8";
					value = "1";
				}
				:radio_button {
					label = "10";
					key = "10";
				}
				:radio_button {
					label = "12";
					key = "12";
				}
				:radio_button {
					label = "14";
					key = "14";
				}
				:radio_button {
					label = "16";
					key = "16";
				}
			}
		}
		:edit_box {
			label = "Number of blocks";
			edit_width = 2;
			edit_limit = 2;
			key = "i";
			value = "1";
		}
	}
	ok_cancel;
}
deck : dialog {
label = "Deck selection";
	:boxed_column {
		:radio_row {
			label = "Deck type";
			:radio_button {
				label = "&Composite";
				key = "c";
			}
			:radio_button {
				label = "&Roof";
				key = "r";
			}
			:radio_button {
				label = "&Form";
				key = "f";
			}
			:radio_button {
				label = "&Elevation";
				key = "e";
			}
		}
		:list_box {
			label = "Selections";
			key = "dcklst";
			height = 7;
			multiple_select = false;
		}
		:edit_box {
			label = "Number of pieces";
			edit_width = 2;
			edit_limit = 2;
			key = "i";
			value = "1";
		}
	}
	ok_cancel;
}
stud : dialog {
label = "Stud selection";
	:boxed_column {
		:row {
			:boxed_radio_column {
				label = "Stud size";
				:radio_button {
				label = "1/2\"";
					key = "1/2";
					value = "1";
				}
				:radio_button {
					label = "5/8\"";
					key = "5/8";
				}
				:radio_button {
					label = "3/4\"";
					key = "3/4";
				}	
			}
			:boxed_radio_column {
				label = "Stud length";
				:radio_button {
					label = "3\"";
					key = "3";
				}
				:radio_button {
					label = "4\"";
					key = "4";
					value = "1";
				}
				:radio_button {
					label = "6\"";
					key = "6";
				}
				:radio_button {
					label = "8\"";
					key = "8";
				}
			
			}
		}
	}
	ok_cancel;			
}
bolt : dialog {
label = "Bolt selection";
	:boxed_column {
		:row {
			:boxed_radio_column {
				label = "Bolt type";
				:radio_button {
				label = "&Standard bolt";
					key = "b";
				}
				:radio_button {
					label = "&Expansion bolt";
					key = "e";
				}
				:radio_button {
					label = "&Adhesive anchor";
					key = "ad";
				}
				:radio_button {
					label = "&Anchor bolt";
					key = "a";
				}
				:radio_button {
					label = "&Nut";
					key = "n";
				}
			}
			:boxed_radio_column {
				label = "Bolt diameter";
				:radio_button {
					label = "1/2\"";
					key = "1/2";
				}
				:radio_button {
					label = "5/8\"";
					key = "5/8";
				}
				:radio_button {
				label = "3/4\"";
					key = "3/4";
				}
				:radio_button {
					label = "7/8\"";
					key = "7/8";
				}
				:radio_button {
					label = "1\"";
					key = "1";
				}
			
			}
		}
	}
	ok_cancel;			
}
mstud : dialog {
label = "Metal Stud Selection";
	:boxed_column {
		:row {
			:boxed_radio_column {
				label = "Stud Size";
				:radio_button {
				label = "3 5/8\"";
					key = "358";
				}
				:radio_button {
					label = "4\"";
					key = "4";
				}
				:radio_button {
					label = "6\"";
					key = "6";
					value = "1";
				}
				:radio_button {
					label = "8\"";
					key = "8";
				}
				:radio_button {
					label = "10\"";
					key = "10";
				}
			}
			:boxed_radio_column {
				label = "Stud Section";
				:radio_button {
					label = "Deflection";
					key = "d";
				}
				:radio_button {
					label = "Top";
					key = "t";
				}
				:radio_button {
					label = "Bottom";
					key = "b";
				}
				:radio_button {
					label = "Section";
					key = "s";
				}
			}
		}
	}
	ok_cancel;			
}
joist : dialog {
label = "Joist Selection";
	:boxed_column {
		:row {
			:boxed_radio_column {
				label = "Joist Series";
                                spacer_0;
				:radio_button {
					label = "&K Series";
					key = "k";
					value = "1";
				}
                                spacer_0;
				:radio_button {
					label = "&LH Series";
					key = "lh";
				}
                                spacer_0;
			}
			:boxed_radio_column {
				label = "Joist type";
				:radio_button {
					label = "J&oist - Seat";
					key = "l";
				}
				:radio_button {
					label = "&Seat - Joist";
					key = "r";
				}
				:radio_button {
					label = "&Joist in section";
					key = "s";
				}
				:radio_button {
					label = "&Full joist";
					key = "f";
				}
			}
			:boxed_column {
				:list_box {
					label = "Joist Size";
					key = "jstlst";
					height = 9;
					width = 5;
					value = "4";
					multiple_select = false;
				}
			}
		}
	}
	ok_cancel;
}
jstsz : dialog {
label = "Joist size";
	:edit_box {
		edit_width = 2;
		edit_limit = 2;
		key = "sz";
	}
	ok_only;
}
sched : dialog {
label = "Select schedule";
	:list_box {
		height = 20;
		key = "schdlst";
	}
	ok_cancel;
}
dimstyles : dialog {
	label = "Select Dimstyle";
	:boxed_column {
		:list_box {
			label = "Styles";
			key = "dstyles";
			width = 12;
			height = 6;
		}
		ok_cancel;
	}
}
space : dialog {
	label = "Select space";
	:boxed_radio_column {
		:radio_button {
			label = "Paper";
			key = "p";
			value = "1";
		}
		:radio_button {
			label = "Model";
			key = "m";
		}
	}
	ok_cancel;
}
sheet_columns : dialog {
	label = "General notes";
	:boxed_radio_column {
		label = "Select number of columns";
		:radio_button {
			label = "&1";
			key = "1";
		}
		:radio_button {
			label = "&2";
			key = "2";
			value = "1";
		}
		:radio_button {
			label = "&3";
			key = "3";
		}
	}
	ok_cancel;
}
import_text : dialog {
	label = "Insert general notes?";
	:boxed_radio_column {
		:radio_button {
			label = "&Yes";
			key = "y";
			value = "1";
		}
		:radio_button {
			label = "&No";
			key = "n";
		}
	}
	ok_cancel;
}
dropdetail : dialog {
	label = "Insert details?";
	:boxed_radio_column {
		:radio_button {
			label = "&Yes";
			key = "y";
			value = "1";
		}
		:radio_button {
			label = "&No";
			key = "n";
		}
	}
	ok_cancel;
}
delnotes : dialog {
	label = "Delete existing notes?";
	:boxed_radio_column {
		:radio_button {
			label = "&Yes";
			key = "y";
			value = "1";
		}
		:radio_button {
			label = "&No";
			key = "n";
		}
	}
	ok_cancel;
}
plot_ids : dialog {
	:boxed_radio_column {
		label = "Plot as a";
		:radio_button {
			label = "&Check print";
			key = "chk";
			value = "1";
		}
		:radio_button {
			label = "&Final print";
			key = "fnl";
		}
	}
	ok_cancel;
}
nomoff : dialog {
label = "Nominal size - actual offset";
	:boxed_column {
		:row {
			:boxed_radio_column {
				label = "Masonry size";
				:radio_button {
					label = "4\"";
					key = "4mo";
				}
				:radio_button {
					label = "6\"";
					key = "6mo";
				}
				:radio_button {
					label = "8\"";
					key = "8mo";
				}
				:radio_button {
					label = "10\"";
					key = "10mo";
				}
				:radio_button {
					label = "12\"";
					key = "12mo";
				}	
			}
			:boxed_radio_column {
				label = "Lumber size";
				:radio_button {
					label = "2\"";
					key = "2wo";
				}
				:radio_button {
					label = "4\"";
					key = "4wo";
				}
				:radio_button {
					label = "6\"";
					key = "6wo";
				}
				:radio_button {
					label = "8\"";
					key = "8wo";
				}
				:radio_button {
					label = "10\"";
					key = "10wo";
				}
				:radio_button {
					label = "12\"";
					key = "12wo";
				}	
			}
		}
	}
	ok_cancel;			
}
wood : dialog {
label = "Standard Wood Section";
	:boxed_column {
		:row {
			:boxed_radio_column {
				label = "Width";
				:radio_button {
					label = "1\"";
					key = "1W";
				}
				:radio_button {
					label = "2\"";
					key = "2W";
					value = "1";
				}
				:radio_button {
					label = "4\"";
					key = "4W";
				}
			}
			:boxed_radio_column {
				label = "Depth";
				:radio_button {
					label = "3\"";
					key = "3D";
				}
				:radio_button {
					label = "4\"";
					key = "4D";
				}
				:radio_button {
					label = "6\"";
					key = "6D";
				}
				:radio_button {
					label = "8\"";
					key = "8D";
				}
				:radio_button {
					label = "10\"";
					key = "10D";
				}
				:radio_button {
					label = "12\"";
					key = "12D";
				}	
			}
		}
	}
	ok_cancel;			
}
weld : dialog  {
       label = "Weld Symbol";
    : row {
    : boxed_column {
        label = "Left Side";
        : image_button {
	  key = "mirror";
	  color = 0;
	  width = 10 ;
	  height = 6 ;
        allow_accept = false;
          }
         }
    : boxed_column {
        label = "Right Side";
        : image_button {
	  key = "normal";
	  color = 0;
	  width = 10 ;
	  height = 6 ;
        allow_accept = false;
          }
        }
       }
     : boxed_row {
       label = "Other Side" ;
        : edit_box {
          label = "Size" ;
	  key = "size2" ;
	  edit_width = 5;
	  }
        : popup_list {
          label = "Type:" ;
	  key = "type2";
	  edit_width = 10;
          list = "None\nFillet\nSquare\nV\nBevel\nU\nJ\nFlare V\nFlare Bevel\nFlush\nConvex\nPlug\nMoment" ;
	  }
	: edit_box {
          label = "Length-Freq." ;
	  key = "length2" ;
	  edit_width = 5;
	  }
         }
     : boxed_row {
       label = "Arrow Side" ;
	: edit_box {
          label = "Size" ;
	  key = "size1" ;
	  edit_width = 5;
	  }
        : popup_list {
          label = "Type:" ;
	  key = "type1";
	  edit_width = 10;
          list = "None\nFillet\nSquare\nV\nBevel\nU\nJ\nFlare V\nFlare Bevel\nFlush\nConvex\nPlug\nMoment" ;
	  }
	: edit_box {
          label = "Length-Freq." ;
	  key = "length1" ;
	  edit_width = 5;
	  }
         }
      : boxed_row {
        : toggle {
          label = "Field Weld";
	  key = "field";
	  }
        : toggle {
          label = "Weld Around";
          key = "around";
	  }
        : text {
          label = "Note" ;
          }
        : edit_box {
          key = "note" ;
          edit_width = 18;
          }
       }
    ok_cancel;
}
wall : dialog {
	label = "SFCS Walls";
	:row {
		:column {
			:toggle {
				label = "&Break walls";
				key = "break";
			}
			:boxed_column {
				label = "End Caps";
				:toggle {	
					label = "&Start";
					key = "start";
				}
				:toggle {
					label = "&End";
					key = "end";
				}
				:toggle {
					label = "&Auto";
					key = "auto";
				}
			}
			:boxed_column {
				label = "Dragline";
				:radio_button {
					label = "&Left";
					key = "left";
				}
				:radio_button {
					label = "&Right";
					key = "right";
				}
				:radio_button {
					label = "&Center";
					key = "center";
				}
				:radio_button {
					label = "&Offset";
					key = "offset";
				}
			}
			:edit_box {
				label = "Offset Size";
				key = "offsetsize";
				edit_width = 6;
			}
		}
		:column {
			:boxed_column {
				label = "Wall size";
				:list_box {
					key = "size";
					width = "8";
				}
			}
		}
	}
	ok_cancel;
}
editmark : dialog {
	:boxed_column {
		label = "Select detail";
		:list_box {
			key = "marks";
		}
		:popup_list {
			label = "Cut on sheet";
			key = "cut";
		}
	}
	
	ok_cancel;
}
newmark : dialog {
	:boxed_column {
		label = "Input detail";
		:edit_box {
			label = "Temporary detail number";
			key = "mark";
			edit_width = 7;
			edit_limit = 7;
		}
	}
	ok_cancel;
}
sect_text : dialog {
	:boxed_column {
		label = "Input detail";
		:edit_box {
			label = "Temporary detail number";
			key = "dtl_cd";
			edit_width = 7;
			edit_limit = 7;
		}
		:popup_list {
			label = "Cut on sheet";
			key = "cut";
		}
	}
	ok_cancel;
}

