;;;     routine to set offset distance for actual
;;;     masonry thickness in response to an input
;;;     nominal thickness and begin offset command
;;;     only does one offset then exits

(defun *s-err* (msg)
	(setq *error* curerror)
	(setvar "clayer" curlayer)
	(if uflg(command "undo" "e"))
         (princ)
)
(defun nomoff ()
	(cond
		((equal (get_tile "4mo") "1")(setq sz "3.625"))
		((equal (get_tile "6mo") "1")(setq sz "5.625"))
		((equal (get_tile "8mo") "1")(setq sz "7.625"))
		((equal (get_tile "10mo") "1")(setq sz "9.625"))
		((equal (get_tile "12mo") "1")(setq sz "11.625"))
		((equal (get_tile "2wo") "1")(setq sz "1.5"))
		((equal (get_tile "4wo") "1")(setq sz "3.5"))
		((equal (get_tile "6wo") "1")(setq sz "5.5"))
		((equal (get_tile "8wo") "1")(setq sz "7.25"))
		((equal (get_tile "10wo") "1")(setq sz "9.25"))
		((equal (get_tile "12wo") "1")(setq sz "11.25"))
	)
)	
(defun c:no (/ sz)
	(setvar "cmdecho" 0)
	(setq curlayer (getvar "clayer"))
	(setq curerror *error*)
	(setq *error* *s-err*)
	(setq dcl_id (load_dialog "acadstrc"))
	(if(not(new_dialog "nomoff" dcl_id))(exit))
	(action_tile "accept" "(progn(nomoff)(done_dialog))")
	(action_tile "cancel" "(done_dialog 1)")
	(if(=(start_dialog) 1)(exit))
	(unload_dialog dcl_id)

        (prompt "\n  Select line to offset:  ")
        (command "OFFSET" sz pause)
        (prompt "\n  Pick side to offset to: ")
        (command pause)
         
        (princ)     

); EoF
